﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication61.ViewModel
{
  public  class Person:INotifyPropertyChanged
    {
      string name = string.Empty;
      public string Name
      {
          get { return name; }
          set { name = value;
          NotifyPropertyChanged("Name");
          }
      }
      string telephone = string.Empty;
      public string Telephone
      {
          get { return telephone; }
          set { telephone = value;
          NotifyPropertyChanged("Telephone");
          }
      }

      bool ischecked = false;
      public bool IsChecked
      {
          get { return ischecked; }
          set { ischecked = value;
          NotifyPropertyChanged("IsChecked");
          }
      }

      public event PropertyChangedEventHandler PropertyChanged;

      private void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }


    }
}
